MicroLayout (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks
Class MicroLayout

    java.lang.Object
      com.jgoodies.looks.MicroLayout

    public final class MicroLayout

extends Object

Describes the insets and margins used by a Look&Feel or theme.

Since:
  2.1
Version:
  $Revision: 1.8 $
Author:
  Karsten Lentzsch

Constructor Summary
`MicroLayout(InsetsUIResource textInsets, InsetsUIResource wrappedTextInsets, InsetsUIResource comboBoxEditorInsets, int comboBorderSize, int comboPopupBorderSize, Insets buttonBorderInsets, InsetsUIResource buttonMargin, InsetsUIResource commitButtonMargin, InsetsUIResource checkBoxMargin, InsetsUIResource menuItemMargin, InsetsUIResource menuMargin, InsetsUIResource popupMenuSeparatorMargin)`

Method Summary
`Insets` | `getButtonBorderInsets()` Returns the insets used for button borders.
`InsetsUIResource` | `getButtonMargin()` Returns the margin used for standard buttons.
`InsetsUIResource` | `getCheckBoxMargin()`
`int` | `getComboBorderSize()`
`InsetsUIResource` | `getComboBoxEditorInsets()`
`int` | `getComboPopupBorderSize()`
`InsetsUIResource` | `getCommitButtonMargin()` Returns the margin used for commit buttons in command areas.
`InsetsUIResource` | `getMenuItemMargin()`
`InsetsUIResource` | `getMenuMargin()`
`InsetsUIResource` | `getPopupMenuSeparatorMargin()`
`InsetsUIResource` | `getTextInsets()`
`InsetsUIResource` | `getWrappedTextInsets()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MicroLayout

    public MicroLayout(InsetsUIResource textInsets,
                       InsetsUIResource wrappedTextInsets,
                       InsetsUIResource comboBoxEditorInsets,
                       int comboBorderSize,
                       int comboPopupBorderSize,
                       Insets buttonBorderInsets,
                       InsetsUIResource buttonMargin,
                       InsetsUIResource commitButtonMargin,
                       InsetsUIResource checkBoxMargin,
                       InsetsUIResource menuItemMargin,
                       InsetsUIResource menuMargin,
                       InsetsUIResource popupMenuSeparatorMargin)

Method Detail

### getButtonBorderInsets

    public Insets getButtonBorderInsets()

  Returns the insets used for button borders.

  Returns:
    the insets used for button borders.

### getButtonMargin

    public InsetsUIResource getButtonMargin()

  Returns the margin used for standard buttons. These insets describe buttons that are arranged with other components in a row of a form. The standard button height will often be the same for text fields, combo boxes, and other components that are arranged in a row.

  Toolbar buttons may have a different height, as well as commit buttons that are placed in a special command bar area, for example OK, Cancel, Apply.

  Returns:
    the margin for standard buttons.
  See Also:
    `getCommitButtonMargin()`

### getCommitButtonMargin

    public InsetsUIResource getCommitButtonMargin()

  Returns the margin used for commit buttons in command areas. Such command areas are often at the bottom or side of a dialog or pane; frequently used labels are OK, Cancel, Apply, Yes, No, Retry. The height of a commit button may differ from the height used for buttons that are arranged in a row with other components in a form.

  Returns:
    the margin for commit buttons in command areas.
  See Also:
    `getButtonMargin()`

### getComboBorderSize

    public int getComboBorderSize()

### getComboPopupBorderSize

    public int getComboPopupBorderSize()

### getComboBoxEditorInsets

    public InsetsUIResource getComboBoxEditorInsets()

### getCheckBoxMargin

    public InsetsUIResource getCheckBoxMargin()

### getMenuItemMargin

    public InsetsUIResource getMenuItemMargin()

### getMenuMargin

    public InsetsUIResource getMenuMargin()

### getPopupMenuSeparatorMargin

    public InsetsUIResource getPopupMenuSeparatorMargin()

### getTextInsets

    public InsetsUIResource getTextInsets()

### getWrappedTextInsets

    public InsetsUIResource getWrappedTextInsets()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.